<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: json_tokener Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">json_tokener Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9772e2170322a19d8da6ce5d7dc46895"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a9772e2170322a19d8da6ce5d7dc46895">str</a></td></tr>
<tr class="separator:a9772e2170322a19d8da6ce5d7dc46895"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cdc7f85d7bde95f81bb08b7e61d6684"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structprintbuf.html">printbuf</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a1cdc7f85d7bde95f81bb08b7e61d6684">pb</a></td></tr>
<tr class="separator:a1cdc7f85d7bde95f81bb08b7e61d6684"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d9b33c3982925349627dc6a3edca940"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a9d9b33c3982925349627dc6a3edca940">max_depth</a></td></tr>
<tr class="separator:a9d9b33c3982925349627dc6a3edca940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0e5102b44cc1fc680be3e0fb5fff028"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#ae0e5102b44cc1fc680be3e0fb5fff028">depth</a></td></tr>
<tr class="separator:ae0e5102b44cc1fc680be3e0fb5fff028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3bf0aa728ea14549d5aa6ca8dcba070"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#ad3bf0aa728ea14549d5aa6ca8dcba070">is_double</a></td></tr>
<tr class="separator:ad3bf0aa728ea14549d5aa6ca8dcba070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eed213c0a37d09c1df66c8567e44471"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a8eed213c0a37d09c1df66c8567e44471">st_pos</a></td></tr>
<tr class="separator:a8eed213c0a37d09c1df66c8567e44471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9daae2516fd6df23555d33ef01020a76"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a9daae2516fd6df23555d33ef01020a76">char_offset</a></td></tr>
<tr class="separator:a9daae2516fd6df23555d33ef01020a76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adef37cdc2578d8f8920db14315728cbd"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="json__tokener_8h.html#a0a31f0df8a532ef8be5c09ba40eacb59">json_tokener_error</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#adef37cdc2578d8f8920db14315728cbd">err</a></td></tr>
<tr class="separator:adef37cdc2578d8f8920db14315728cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32fa73e43fb760e6845231a8482eb064"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a32fa73e43fb760e6845231a8482eb064">ucs_char</a></td></tr>
<tr class="separator:a32fa73e43fb760e6845231a8482eb064"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea488b73085ac7c5969ae7fc29e25fa0"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#aea488b73085ac7c5969ae7fc29e25fa0">quote_char</a></td></tr>
<tr class="separator:aea488b73085ac7c5969ae7fc29e25fa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3521d62906eb0e15d07d7b4f64a5fac3"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structjson__tokener__srec.html">json_tokener_srec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#a3521d62906eb0e15d07d7b4f64a5fac3">stack</a></td></tr>
<tr class="separator:a3521d62906eb0e15d07d7b4f64a5fac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabfdcf2825154108669ffa3f4ab9c4ea"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__tokener.html#aabfdcf2825154108669ffa3f4ab9c4ea">flags</a></td></tr>
<tr class="separator:aabfdcf2825154108669ffa3f4ab9c4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Internal state of the json parser. Do not access any fields of this structure directly. Its definition is published due to historical limitations in the json tokener API, and will be changed to be an opaque type in the future. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a9daae2516fd6df23555d33ef01020a76"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_tokener::char_offset</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000005">Deprecated:</a></b></dt><dd>See <a class="el" href="json__tokener_8h.html#a4a2fa28d815f8b370cbb00b80ebc0f1d">json_tokener_get_parse_end()</a> instead. </dd></dl>

</div>
</div>
<a class="anchor" id="ae0e5102b44cc1fc680be3e0fb5fff028"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_tokener::depth</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="adef37cdc2578d8f8920db14315728cbd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="json__tokener_8h.html#a0a31f0df8a532ef8be5c09ba40eacb59">json_tokener_error</a> json_tokener::err</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000006">Deprecated:</a></b></dt><dd>See <a class="el" href="json__tokener_8h.html#af5d7ffd95a0f6e5d5bb5994d233b4197">json_tokener_get_error()</a> instead. </dd></dl>

</div>
</div>
<a class="anchor" id="aabfdcf2825154108669ffa3f4ab9c4ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_tokener::flags</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad3bf0aa728ea14549d5aa6ca8dcba070"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_tokener::is_double</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9d9b33c3982925349627dc6a3edca940"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_tokener::max_depth</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a1cdc7f85d7bde95f81bb08b7e61d6684"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structprintbuf.html">printbuf</a>* json_tokener::pb</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aea488b73085ac7c5969ae7fc29e25fa0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char json_tokener::quote_char</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8eed213c0a37d09c1df66c8567e44471"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int json_tokener::st_pos</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a3521d62906eb0e15d07d7b4f64a5fac3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structjson__tokener__srec.html">json_tokener_srec</a>* json_tokener::stack</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9772e2170322a19d8da6ce5d7dc46895"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* json_tokener::str</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000004">Deprecated:</a></b></dt><dd>Do not access any of these fields outside of json_tokener.c </dd></dl>

</div>
</div>
<a class="anchor" id="a32fa73e43fb760e6845231a8482eb064"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int json_tokener::ucs_char</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="json__tokener_8h.html">json_tokener.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
